package br.com.tdd.teste;

import br.com.tdd.ValidaDados;
import br.com.tdd.ValidadorCepImpl;
import junit.framework.TestCase;

public class CepTest extends TestCase {
	private ValidaDados cep = new ValidadorCepImpl();
	
	public void testCepValido(){
		assertFalse("retorno deve ser FALSE", cep.isCepValido(null));
		assertFalse("retorno deve ser FALSE",cep.isCepValido(""));
		assertFalse("retorno deve ser FALSE",cep.isCepValido("dadasadui"));
		assertFalse("retorno deve ser FALSE",cep.isCepValido("03490340"));
		assertTrue("retorno deve ser TRUE",cep.isCepValido("20202-020"));
	}
	/*ao inves de escrever uma classe com metodo main temos
	 * testes com Junit que facilita 
	 */
	public void  testCepValidoComLetras(){
		assertFalse("retorno deve ser FALSE", cep.isCepValido("ABCDF-AAA"));
		assertFalse("retorno deve ser FALSE", cep.isCepValido("A2AA1-333"));
	}
}
