package br.com.forlinux;

import java.util.logging.ConsoleHandler;
import java.util.logging.FileHandler;
import java.util.logging.Handler;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.logging.XMLFormatter;

public class HelloWorldLog {

	private static final Logger log = Logger.getLogger(HelloWorldLog.class.getName());
	
	public static void main(String[] args) {
	//gravando no ficheiro 
		try{
			Handler console = new ConsoleHandler();
			Handler arquivo = new FileHandler("C:\\helloworldlogin.html");
			
			//na output/console veremos apenas warning ou superior
			console.setLevel(Level.WARNING);
			//informamos que no arquivo ser gravado todas as informaes
			arquivo.setLevel(Level.ALL);
			
			//o formato do arquivo ser HTML
			arquivo.setFormatter(new HTMLFormatter());
			//adicionamos os handlers para o arquivo e console 
			log.addHandler(arquivo);
			log.addHandler(console);
			//ignora os handlers definidos no logger global.
			log.setUseParentHandlers(false);
		}catch (Exception e) {
			log.warning("o arquivo helloworldlogin.xml no pode ser criado");
		}
		//isso aqui vai para o arquivo HML
		log.info("iniciando aplicacao agora");
			exibiMsg(null);
			exibiMsg("");
			exibiMsg("lopes");
		log.info("programa encerrado");
	}
	
	public static void exibiMsg(String msg ){		
		if(msg==null){
			//isso eh impresso no console
			log.severe("a msg nao pode ser null");
		}else if (msg.isEmpty()) {
			log.severe("a msg nao pode ser vazia");
		}
		//eh armazenado no arquivo XML
		log.info("a msg foi enviada com sucesso");
	}

}
