package br.com.tdd.teste;

import junit.framework.TestCase;
import br.com.tdd.classe.RG;

public class RGTest extends TestCase {
	private RG validarg = new RG();
	
	public void testIsValidaRG(){
		assertFalse("retorna FALSE - invlido RG", validarg.isValidaRG("128641011"));
		assertFalse("retorna FALSE - RG invlido", validarg.isValidaRG(null));
		assertFalse("retorna FALSE - RG invlido", validarg.isValidaRG(""));
		assertTrue("retorna TRUE - RG vlido", validarg.isValidaRG("12864010-43"));
	}
	//criando um novo mtodo para testar letras
	public void testIsValidaRGLetras(){
		assertFalse("retorna FALSE - invlido letras RG", validarg.isValidaRG("ABCDEFGH-IJ"));
		assertFalse("retorna FALSE - Invlido letras RG", validarg.isValidaRG("G3X8Xopa-22"));		
	}
}
